-- ------------------------------------------------------------------------------
-- CREATE INDEXES
-- ------------------------------------------------------------------------------
-- rf2_full_concepts
CREATE INDEX rf2_full_concepts_id_idx ON rf2_full_concepts(id)
;
CREATE INDEX rf2_full_concepts_module_idx ON rf2_full_concepts(moduleid)
;
CREATE INDEX rf2_full_concepts_definitionstatus_idx ON rf2_full_concepts(definitionstatusid)
;
CREATE INDEX rf2_full_concepts_effectivetime_idx ON rf2_full_concepts(effectivetime)
;
CREATE INDEX rf2_full_concepts_active_idx ON rf2_full_concepts(active)
;

-- rf2_full_descriptions
CREATE INDEX rf2_full_descriptions_id_idx ON rf2_full_descriptions(id)
;
CREATE INDEX rf2_full_descriptions_module_id_idx ON rf2_full_descriptions(moduleid)
;
CREATE INDEX rf2_full_descriptions_term_id_idx ON rf2_full_descriptions(term)
;
CREATE INDEX rf2_full_descriptions_concept_id_idx ON rf2_full_descriptions(conceptid)
;
CREATE INDEX rf2_full_descriptions_type_id_idx ON rf2_full_descriptions(typeid)
;
CREATE INDEX rf2_full_descriptions_case_sig_id_idx ON rf2_full_descriptions(casesignificanceid)
;
CREATE INDEX rf2_full_descriptions_effectivetime_idx ON rf2_full_descriptions(effectivetime)
;
CREATE INDEX rf2_full_descriptions_active_idx ON rf2_full_descriptions(active)
;
CREATE INDEX rf2_full_descriptions_languagecode_idx ON rf2_full_descriptions(languagecode)
;

-- rf2_full_relationships
CREATE INDEX rf2_full_relationships_idx ON rf2_full_relationships(id)
;
CREATE INDEX rf2_full_relationships_module_id_idx ON rf2_full_relationships(moduleid)
;
CREATE INDEX rf2_full_relationships_source_idx ON rf2_full_relationships(sourceid)
;
CREATE INDEX rf2_full_relationships_destination_idx ON rf2_full_relationships(destinationid)
;
CREATE INDEX rf2_full_relationships_relationship_group_idx ON rf2_full_relationships(relationshipgroup)
;
CREATE INDEX rf2_full_relationships_type_id_idx ON rf2_full_relationships(typeid)
;
CREATE INDEX rf2_full_relationships_characteristic_type_id_idx ON rf2_full_relationships(characteristictypeid)
;
CREATE INDEX rf2_full_relationships_modifier_id_idx ON rf2_full_relationships(modifierid)
;
CREATE INDEX rf2_full_relationships_effectivetime_idx ON rf2_full_relationships(effectivetime)
;
CREATE INDEX rf2_full_relationships_active_idx ON rf2_full_relationships(active)
;

-- rf2_full_language_refset
CREATE INDEX rf2_full_language_refset_idx ON rf2_full_language_refset(id)
;
CREATE INDEX rf2_full_language_refset_module_id_idx ON rf2_full_language_refset(moduleid)
;
CREATE INDEX rf2_full_language_refset_refset_id_idx ON rf2_full_language_refset(refsetid)
;
CREATE INDEX rf2_full_language_refset_referenced_component_id_idx ON rf2_full_language_refset(referencedcomponentid)
;
CREATE INDEX rf2_full_language_refset_value_id_idx ON rf2_full_language_refset(valueid)
;
CREATE INDEX rf2_full_language_refset_effectivetime_idx ON rf2_full_language_refset(effectivetime)
;
CREATE INDEX rf2_full_language_refset_active_idx ON rf2_full_language_refset(active)
;

-- rf2_ss_strength_refset
CREATE INDEX rf2_ss_strength_refset_idx ON rf2_ss_strength_refset(id)
;
CREATE INDEX rf2_ss_strength_refset_effectivetime_idx ON rf2_ss_strength_refset(effectivetime)
;
CREATE INDEX rf2_ss_strength_refset_active_idx ON rf2_ss_strength_refset(active)
;
CREATE INDEX rf2_ss_strength_refset_module_id_idx ON rf2_ss_strength_refset(moduleid)
;
CREATE INDEX rf2_ss_strength_refset_refset_id_idx ON rf2_ss_strength_refset(refsetid)
;
CREATE INDEX rf2_ss_strength_refset_referenced_component_id_idx ON rf2_ss_strength_refset(referencedcomponentid)
;
CREATE INDEX rf2_ss_strength_refset_unit_id_idx ON rf2_ss_strength_refset(unitid)
;
CREATE INDEX rf2_ss_strength_refset_operator_id_idx ON rf2_ss_strength_refset(operatorid)
;
CREATE INDEX rf2_ss_strength_refset_value_idx ON rf2_ss_strength_refset(value)
;

-- rf2_ss_unit_of_use_size_refset
CREATE INDEX rf2_ss_unit_of_use_size_refset_idx ON rf2_ss_unit_of_use_size_refset(id)
;
CREATE INDEX rf2_ss_unit_of_use_size_refset_effectivetime_idx ON rf2_ss_unit_of_use_size_refset(effectivetime)
;
CREATE INDEX rf2_ss_unit_of_use_size_refset_active_idx ON rf2_ss_unit_of_use_size_refset(active)
;
CREATE INDEX rf2_ss_unit_of_use_size_refset_module_id_idx ON rf2_ss_unit_of_use_size_refset(moduleid)
;
CREATE INDEX rf2_ss_unit_of_use_size_refset_refset_id_idx ON rf2_ss_unit_of_use_size_refset(refsetid)
;
CREATE INDEX rf2_ss_unit_of_use_size_refset_referenced_component_id_idx ON rf2_ss_unit_of_use_size_refset(referencedcomponentid)
;
CREATE INDEX rf2_ss_unit_of_use_size_refset_unit_id_idx ON rf2_ss_unit_of_use_size_refset(unitid)
;
CREATE INDEX rf2_ss_unit_of_use_size_refset_operator_id_idx ON rf2_ss_unit_of_use_size_refset(operatorid)
;
CREATE INDEX rf2_ss_unit_of_use_size_refset_value_idx ON rf2_ss_unit_of_use_size_refset(value)
;

-- rf2_ss_unit_of_use_quantity_refset
CREATE INDEX rf2_ss_unit_of_use_quantity_refset_idx ON rf2_ss_unit_of_use_quantity_refset(id)
;
CREATE INDEX rf2_ss_unit_of_use_quantity_refset_effectivetime_idx ON rf2_ss_unit_of_use_quantity_refset(effectivetime)
;
CREATE INDEX rf2_ss_unit_of_use_quantity_refset_active_idx ON rf2_ss_unit_of_use_quantity_refset(active)
;
CREATE INDEX rf2_ss_unit_of_use_quantity_refset_module_id_idx ON rf2_ss_unit_of_use_quantity_refset(moduleid)
;
CREATE INDEX rf2_ss_unit_of_use_quantity_refset_refset_id_idx ON rf2_ss_unit_of_use_quantity_refset(refsetid)
;
CREATE INDEX rf2_ss_unit_of_use_quantity_refset_referenced_component_id_idx ON rf2_ss_unit_of_use_quantity_refset(referencedcomponentid)
;
CREATE INDEX rf2_ss_unit_of_use_quantity_refset_unit_id_idx ON rf2_ss_unit_of_use_quantity_refset(unitid)
;
CREATE INDEX rf2_ss_unit_of_use_quantity_refset_operator_id_idx ON rf2_ss_unit_of_use_quantity_refset(operatorid)
;
CREATE INDEX rf2_ss_unit_of_use_quantity_refset_value_idx ON rf2_ss_unit_of_use_quantity_refset(value)
;

-- rf2_ss_cRefset
CREATE INDEX rf2_ss_cRefset_id_idx ON rf2_ss_cRefset(id)
;
CREATE INDEX rf2_ss_cRefset_effectivetime_idx ON rf2_ss_cRefset(effectivetime)
;
CREATE INDEX rf2_ss_cRefset_active_idx ON rf2_ss_cRefset(active)
;
CREATE INDEX rf2_ss_cRefset_moduleid_idx ON rf2_ss_cRefset(moduleid)
;
CREATE INDEX rf2_ss_cRefset_refsetid_idx ON rf2_ss_cRefset(refsetid)
;
CREATE INDEX rf2_ss_cRefset_referencedcomponentid_idx ON rf2_ss_cRefset(referencedcomponentid)
;
CREATE INDEX rf2_ss_cRefset_valueid_idx ON rf2_ss_cRefset(valueid)
;
